%define binary_name mocp
%define rel_version 2.3.1
%def_disable debug
%set_verify_elf_method strict

Name: moc
Version: %rel_version
Release: alt1

Summary: Console MP3/OGG player
Group: Sound
License: GPL
Url: http://moc.daper.net/

Source: %name-%rel_version.tar.bz2

Patch0: moc-2.3.0-alt-search-menu-key-disable.patch
Patch1: moc-2.3.1-vorbis-headers.patch

# Automatically added by buildreq on Tue Jun 21 2005
BuildRequires: gcc-c++ jackit-devel libalsa-devel libcurl-devel libflac-devel libid3tag-devel 
BuildRequires: libidn-devel libmad-devel libncurses-devel libogg-devel libsamplerate-devel 
BuildRequires: libsndfile-devel libssl-devel libstdc++-devel libtinfo-devel libvorbis-devel 
BuildRequires: pkgconfig zlib-devel libltdl-devel

%description
MOC is a console audio player with simple ncurses interface in
playmp3list style. 

Features:
- Supports MP3 and OGG formats.
- Play files from directory changing automatically to the next one
  without any playlist.
- Supports id3tag, VBR and Xing header for MP3.
- Simple mixer.
- Fast switching to your music directory.

%prep
%setup -q -n %name-%rel_version
#patch0 -p1
%patch1 -p1

rename 8 1 *.8
%__subst 's,\(%binary_name\.\)8,\11,g
	  s,\(man\)8,\11,g' Makefile.am
%__subst 's,\(MOC \)8,\11,g' %binary_name.1

%build
%__libtoolize --copy --force
%__aclocal -I m4
%__automake -a -c
%__autoconf

%configure \
	--with-libFLAC=%_prefix \
        %{subst_enable debug}
%make_build 

%install
%make_install DESTDIR=%buildroot install

# menu
%__cat  <<__MENU__ >%binary_name.menu
?package(%name): \
  needs="text" \
  command="%_bindir/%binary_name" \
  icon="sound_section.png" \
  title="MoC" \
  genericname="Audio Player" \
  longtitle="Music On Console" \
  section="Multimedia/Sound"
__MENU__

%__install -pD -m644 %binary_name.menu %buildroot/%_menudir/%binary_name

%__rm -rf %buildroot%_docdir/%name \
    %buildroot/%_libdir/moc/decoder_plugins/*.la

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_libdir/moc/decoder_plugins
%_datadir/%name
%_man1dir/*
%_menudir/*
%doc AUTHORS NEWS TODO README *.example

%changelog
* Wed Aug 03 2005 Alexey Gladkov <legion@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Mon Jun 20 2005 Alexey Gladkov <legion@altlinux.ru> 2.3.0.beta1-alt1
- 2.3.0

* Thu May 26 2005 Alexey Gladkov <legion@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Mon Mar 14 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- new version.

* Sat Jan 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Sun Nov 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- new version.

* Tue May 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.0-alt0.3
- Binary renamed to music-on-console (inger) to avoid incredible
  conflict with QT utility with the same name.
- menu (ZerG)

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.0-alt0.2
- new version
- qt-devel added to conflict list.

* Fri Nov 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1
- First build for Sisyphus.

